[rust-dev] Deprecating rustpkg

Strahinja Markovic val at markovic.io
Fri Jan 31 15:49:03 PST 2014


On Fri Jan 31 2014 at 3:33:00 PM, Tony Arcieri <bascule at gmail.com> wrote:

> I am strongly suggesting before you go down this road you figure out:
>
> 1) *Exactly* what problem you're trying to solve
> 2) *Exactly* how you intend to solve it
>

I'll try to find some time today/weekend to write up a Google Doc
explaining what I'm proposing (and the algorithm to do it) in more detail.
I'll ping this thread with a link.


>
> RubyGems went down the road of trying to support the simultaneous
> installation of multiple versions of the same package. However, Bundler,
> the dependency resolution tool, ended up resolving packages to a single,
> specific version. This made RubyGems support of multiple versions of
> packages not only useless, but annoying, and even more cruft (e.g. rvm
> gemsets) was added to work around the impedance mismatch between the
> package manager and the dependency resolver.
>
> I hope Rust will not make the same mistake for lack of better planning.
>
> --
> Tony Arcieri
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.mozilla.org/pipermail/rust-dev/attachments/20140131/2419005f/attachment.html>


More information about the Rust-dev mailing list